Skip to Content

Lido API logo Lido API

API for Lido contracts. Every ABI item below is callable as its own Spectrum JSON-RPC method. See the Marketplace overview for how the method names are built.

Staking

Deployments

DeploymentChainAddressMethods
wstETH
wsteth
Ethereum0x7f39c5…5e2ca013
stETH
steth
Ethereum0xae7ab9…d7fe8418
Locator
locator
Ethereum0xc1d0b3…cfd2eb14

Methods

wstETH

Functions

ReadstEthPerTokenspectrum_lido_ethereum_wsteth_call_stEthPerToken
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_stEthPerToken",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadtokensPerStEthspectrum_lido_ethereum_wsteth_call_tokensPerStEth
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_tokensPerStEth",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetStETHByWstETHspectrum_lido_ethereum_wsteth_call_getStETHByWstETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_getStETHByWstETH",
  "params": {
    "args": [
      "0"
    ]
  },
  "id": 1
}
Inputs
NameType
_wstETHAmountuint256
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetWstETHByStETHspectrum_lido_ethereum_wsteth_call_getWstETHByStETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_getWstETHByStETH",
  "params": {
    "args": [
      "0"
    ]
  },
  "id": 1
}
Inputs
NameType
_stETHAmountuint256
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadstETHspectrum_lido_ethereum_wsteth_call_stETH
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_stETH",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readnamespectrum_lido_ethereum_wsteth_call_name
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_name",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readsymbolspectrum_lido_ethereum_wsteth_call_symbol
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_symbol",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readdecimalsspectrum_lido_ethereum_wsteth_call_decimals
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_decimals",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint8
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadtotalSupplyspectrum_lido_ethereum_wsteth_call_totalSupply
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_totalSupply",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadbalanceOfspectrum_lido_ethereum_wsteth_call_balanceOf
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_balanceOf",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
accountaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readallowancespectrum_lido_ethereum_wsteth_call_allowance
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_call_allowance",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001",
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
owneraddress
spenderaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.

Events

EventTransferspectrum_lido_ethereum_wsteth_getLogs_Transfer
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_getLogs_Transfer",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
fromaddressyes
toaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
EventApprovalspectrum_lido_ethereum_wsteth_getLogs_Approval
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_wsteth_getLogs_Approval",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
owneraddressyes
spenderaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.

stETH

Functions

ReadgetTotalPooledEtherspectrum_lido_ethereum_steth_call_getTotalPooledEther
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getTotalPooledEther",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetTotalSharesspectrum_lido_ethereum_steth_call_getTotalShares
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getTotalShares",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetPooledEthBySharesspectrum_lido_ethereum_steth_call_getPooledEthByShares
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getPooledEthByShares",
  "params": {
    "args": [
      "0"
    ]
  },
  "id": 1
}
Inputs
NameType
_sharesAmountuint256
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetSharesByPooledEthspectrum_lido_ethereum_steth_call_getSharesByPooledEth
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getSharesByPooledEth",
  "params": {
    "args": [
      "0"
    ]
  },
  "id": 1
}
Inputs
NameType
_ethAmountuint256
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadsharesOfspectrum_lido_ethereum_steth_call_sharesOf
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_sharesOf",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
_accountaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetBufferedEtherspectrum_lido_ethereum_steth_call_getBufferedEther
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getBufferedEther",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadisStakingPausedspectrum_lido_ethereum_steth_call_isStakingPaused
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_isStakingPaused",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0bool
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetCurrentStakeLimitspectrum_lido_ethereum_steth_call_getCurrentStakeLimit
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getCurrentStakeLimit",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadisStoppedspectrum_lido_ethereum_steth_call_isStopped
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_isStopped",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0bool
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadgetLidoLocatorspectrum_lido_ethereum_steth_call_getLidoLocator
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_getLidoLocator",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readnamespectrum_lido_ethereum_steth_call_name
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_name",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readsymbolspectrum_lido_ethereum_steth_call_symbol
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_symbol",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readdecimalsspectrum_lido_ethereum_steth_call_decimals
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_decimals",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint8
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadtotalSupplyspectrum_lido_ethereum_steth_call_totalSupply
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_totalSupply",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadbalanceOfspectrum_lido_ethereum_steth_call_balanceOf
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_balanceOf",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
_accountaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readallowancespectrum_lido_ethereum_steth_call_allowance
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_call_allowance",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001",
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
_owneraddress
_spenderaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.

Events

EventTransferspectrum_lido_ethereum_steth_getLogs_Transfer
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_getLogs_Transfer",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
fromaddressyes
toaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
EventTransferSharesspectrum_lido_ethereum_steth_getLogs_TransferShares
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_steth_getLogs_TransferShares",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
fromaddressyes
toaddressyes
sharesValueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.

Locator

Functions

ReadelRewardsVaultspectrum_lido_ethereum_locator_call_elRewardsVault
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_elRewardsVault",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readlidospectrum_lido_ethereum_locator_call_lido
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_lido",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadaccountingOraclespectrum_lido_ethereum_locator_call_accountingOracle
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_accountingOracle",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readburnerspectrum_lido_ethereum_locator_call_burner
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_burner",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReaddepositSecurityModulespectrum_lido_ethereum_locator_call_depositSecurityModule
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_depositSecurityModule",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadoracleDaemonConfigspectrum_lido_ethereum_locator_call_oracleDaemonConfig
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_oracleDaemonConfig",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadoracleReportSanityCheckerspectrum_lido_ethereum_locator_call_oracleReportSanityChecker
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_oracleReportSanityChecker",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadpostTokenRebaseReceiverspectrum_lido_ethereum_locator_call_postTokenRebaseReceiver
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_postTokenRebaseReceiver",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadstakingRouterspectrum_lido_ethereum_locator_call_stakingRouter
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_stakingRouter",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readtreasuryspectrum_lido_ethereum_locator_call_treasury
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_treasury",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadvalidatorsExitBusOraclespectrum_lido_ethereum_locator_call_validatorsExitBusOracle
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_validatorsExitBusOracle",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadwithdrawalQueuespectrum_lido_ethereum_locator_call_withdrawalQueue
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_withdrawalQueue",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadwithdrawalVaultspectrum_lido_ethereum_locator_call_withdrawalVault
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_withdrawalVault",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0address
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadcoreComponentsspectrum_lido_ethereum_locator_call_coreComponents
curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_lido_ethereum_locator_call_coreComponents",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
elRewardsVaultaddress
oracleReportSanityCheckeraddress
stakingRouteraddress
treasuryaddress
withdrawalQueueaddress
withdrawalVaultaddress
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.